Skip to content
Back to top
View this page

# BackgroundTypeChatTheme

Added in version 21.2.

class telegram.BackgroundTypeChatTheme(theme_name, *, api_kwargs=None)

  Bases: `telegram.BackgroundType`

  The background is taken directly from a built-in chat theme.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `theme_name` is equal.

  Available In

  `telegram.ChatBackground.type`

  Added in version 21.2.

  Parameters:

    theme_name (`str`) – Name of the chat theme, which is usually an emoji.

  type

    Type of the background. Always `CHAT_THEME`.

    Type:

      `str`

  theme_name

    Name of the chat theme, which is usually an emoji.

    Type:

      `str`